# The workspace's recent invoices (owners and admins)

> The workspace's recent invoices (owners and admins): CustomDomain™ API reference. Covers request parameters, the request body, responses and error codes.

Source: https://docs.customdomain.ai/docs/api-reference/billing/listBillingInvoices

## `GET https://api.customdomain.ai/v1/billing/invoices`

Read from Stripe, newest first. Requires `billing:manage`.

### Authentication

`apiKey`

### Responses

| Status | Description |
| --- | --- |
| `200` | Invoices |
| `401` | Error envelope: {code, title, details}. |
| `403` | Error envelope: {code, title, details}. |
| `503` | Error envelope: {code, title, details}. |

### `200` response body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `invoices` | array of object | no |  |

The full specification is served at `GET https://api.customdomain.ai/v1/openapi.json`.
